Bug 171383 - CVE-2005-3272 bridge poisoning
CVE-2005-3272 bridge poisoning
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
public=20050529,impact=moderate
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 08:12 EDT by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0493
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 05:27:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-21 08:12:20 EDT
CVE-2005-3272 states:
        Linux kernel before 2.6.12 allows remote attackers to poison
        the bridge forwarding table using frames that have already
        been dropped by filtering, which can cause the bridge to
        forward spoofed packets.

http://linux.bkbits.net:8080/linux-2.6/cset@429a310bRFOXOmZvKaGXW8A5Qd9F1A

This looks like it may affect RHEL4.  I've assigned this impact=moderate but it
could be low, please advise after a technical review of the flaw.
Comment 1 Thomas Graf 2006-05-11 10:44:16 EDT
It does affect RHEL4, the fix is easy enough, I think we should put this into U4.
Comment 7 Jason Baron 2006-05-22 15:19:41 EDT
committed in stream U4 build 36.1. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 9 Red Hat Bugzilla 2006-05-24 05:27:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0493.html

Note You need to log in before you can comment on or make changes to this bug.